---
category: overview
heading: "Why would I need it?"
---

Cleanslate is useful when there are existing CSS styles on a page, and you want to prevent those styles cascading into some part of the page. This is _not_ a stylesheet to use when developing your own website (for that, try [Eric Meyer's classic "Reset CSS"](http://meyerweb.com/eric/tools/css/reset/) or the ["HTML5 Doctors' adaptation"](http://html5doctor.com/html-5-reset-stylesheet).

The stylesheet can be useful when distributing content (e.g. a widget, or syndicated news) to third-party websites. The CSS rules in the host site may be unknown and unpredictable, or may change in future without notice, or there may be so many websites you need to distribute to that it is impractical to write specific CSS that overrides the styles in each one. In such situations, the Cleanslate stylesheet will aggressively reset your portion of the content (and nothing else) back to some reasonable default values that you can then build from.
